#include <iostream>
#include <bits/stdc++.h>


using namespace std;


int main()
{
    std::ios::sync_with_stdio(false);
    string s;
    cin>>s;
    int n, m;
    cin>>n>>m;
    if(n-1==m || n==m && s[0]!=s[1])
    {
        for(int i=0; i<m+n; i++)
        {
            if(i%2==0)cout<<s[0];
            else
                cout<<s[1];
        }
    }
    else
        if(n==m-1 && s[0]!=s[1])
    {
        for(int i=0; i<m+n; i++)
        {
            if(i%2==0)cout<<s[1];
            else
                cout<<s[0];
        }
    }
    else
        cout<<"nemoguce";
}